Module org.hdfgroup.object
Package hdf.object.h5

# Class H5ReferenceType.H5ReferenceData

Object
hdf.object.h5.H5ReferenceType.H5ReferenceData

Enclosing class:
  `H5ReferenceType`

public static class H5ReferenceType.H5ReferenceData extends Object
The individual reference data for a given object.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `attr_name`
  The attribute name referenced
  `String`
  `file_fullpath`
  The the full file path referenced
  `String`
  `file_name`
  The file name referenced
  `String`
  `obj_name`
  The object name referenced
  `int`
  `obj_type`
  The default type of object referenced
  `byte[]`
  `ref_array`
  The reference array raw data
  `int`
  `ref_type`
  The default type of region referenced
  `String`
  `region_desc`
  The point/block description of region referenced
  `String`
  `region_type`
  The type of region referenced
  `long`
  `typeSize`
  The type size of object referenced

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `H5ReferenceData(byte[] theArray, long theTypeSize)`
  Copy the individual reference array for further processing

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ref_array

    public byte[] ref_array
    The reference array raw data

  - ### file_fullpath

    public String file_fullpath
    The the full file path referenced

  - ### file_name

    public String file_name
    The file name referenced

  - ### obj_name

    public String obj_name
    The object name referenced

  - ### attr_name

    public String attr_name
    The attribute name referenced

  - ### region_type

    public String region_type
    The type of region referenced

  - ### region_desc

    public String region_desc
    The point/block description of region referenced

  - ### ref_type

    public int ref_type
    The default type of region referenced

  - ### obj_type

    public int obj_type
    The default type of object referenced

  - ### typeSize

    public long typeSize
    The type size of object referenced

- ## Constructor Details

  - ### H5ReferenceData

    H5ReferenceData(byte[] theArray, long theTypeSize)
    Copy the individual reference array for further processing
    Parameters:
      `theArray` - the reference datatype data to be copied.